# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['noggin',
 'noggin.controller',
 'noggin.form',
 'noggin.representation',
 'noggin.security',
 'noggin.tests',
 'noggin.tests.integration',
 'noggin.tests.unit',
 'noggin.tests.unit.controller',
 'noggin.tests.unit.form',
 'noggin.tests.unit.representation',
 'noggin.tests.unit.security',
 'noggin.tests.unit.translations',
 'noggin.tests.unit.utility',
 'noggin.utility']

package_data = \
{'': ['*'],
 'noggin': ['static/css/*',
            'static/fonts/*',
            'static/fonts/font-awesome/*',
            'static/js/*',
            'static/js/vendor/jquery-qrcode-1.0/*',
            'static/js/vendor/jquery.dirty-0.7.2/*',
            'static/js/vendor/moment-2.24.0/*',
            'static/js/vendor/moment-timezone-0.5.28-2019c/*',
            'static/js/vendor/selectize-0.12.6/*',
            'templates/*',
            'themes/default/static/css/*',
            'themes/default/templates/*',
            'themes/fas/static/css/*',
            'themes/fas/static/fonts/*',
            'themes/fas/static/fonts/hack/eot/*',
            'themes/fas/static/fonts/hack/eot/latin/*',
            'themes/fas/static/fonts/hack/web-ttf/*',
            'themes/fas/static/fonts/hack/web-ttf/latin/*',
            'themes/fas/static/fonts/hack/woff/*',
            'themes/fas/static/fonts/hack/woff/latin/*',
            'themes/fas/static/fonts/hack/woff2/*',
            'themes/fas/static/fonts/hack/woff2/latin/*',
            'themes/fas/static/fonts/open-sans/*',
            'themes/fas/static/images/*',
            'themes/fas/static/js/fedora-bootstrap/*',
            'themes/fas/static/js/jquery/*',
            'themes/fas/templates/*',
            'themes/openSUSE/static/css/*',
            'themes/openSUSE/static/images/favicons/*',
            'themes/openSUSE/static/images/logo/*',
            'themes/openSUSE/static/js/*',
            'themes/openSUSE/static/js/jquery/*',
            'themes/openSUSE/templates/*',
            'translations/*',
            'translations/fr_FR/LC_MESSAGES/messages.po',
            'translations/pt_PT/LC_MESSAGES/messages.po',
            'translations/tr/LC_MESSAGES/messages.po',
            'translations/uk/LC_MESSAGES/messages.po'],
 'noggin.tests.unit': ['cassettes/*'],
 'noggin.tests.unit.controller': ['cassettes/test_authentication/*',
                                  'cassettes/test_forgot_password/*',
                                  'cassettes/test_group/*',
                                  'cassettes/test_password_reset/*',
                                  'cassettes/test_registration/*',
                                  'cassettes/test_root/*',
                                  'cassettes/test_user/*',
                                  'cassettes/test_user_otp/*'],
 'noggin.tests.unit.security': ['cassettes/test_ipa/*'],
 'noggin.tests.unit.translations': ['cassettes/test_translations/*'],
 'noggin.tests.unit.utility': ['cassettes/test___init__/*']}

install_requires = \
['Flask-Mail>=0.9.1,<0.10.0',
 'backoff>=1.10.0,<2.0.0',
 'click>=7.0,<8.0',
 'cryptography>=2.9,<3.0',
 'fedora-messaging>=2.0.1,<3.0.0',
 'flask-babel>=1.0.0,<2.0.0',
 'flask-wtf>=0.14,<0.15',
 'flask>=1.1,<2.0',
 'noggin-messages>=0.0.1,<0.0.2',
 'pyjwt>=1.7.1,<2.0.0',
 'python-freeipa>=1.0.4,<2.0.0',
 'whitenoise>=5.0.1,<6.0.0']

extras_require = \
{'deploy': ['gunicorn>=20.0,<21.0']}

setup_kwargs = {
    'name': 'noggin-aaa',
    'version': '0.0.1',
    'description': 'Noggin is a self-service portal for FreeIPA. The primary purpose of the portal is to allow users to sign up and manage their account information and group membership.',
    'long_description': '# Noggin\n\n*noggin* is a self-service portal for FreeIPA.\nThe primary purpose of the portal is to allow users to sign up and manage their\naccount information and group membership.\n\nThe documentation is available online at https://noggin-aaa.readthedocs.io/\n',
    'author': 'Fedora Infrastructure',
    'author_email': 'admin@fedoraproject.org',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/fedora-infra/noggin',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
